Bug 213380 - Clock going slow on kernel-xen
Clock going slow on kernel-xen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-01 03:00 EST by Ahmed Kamal
Modified: 2009-12-14 15:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 18:37:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output on non-xen kernel (49.48 KB, text/plain)
2006-11-24 13:33 EST, Ahmed Kamal
no flags Details
dmesg output on xen kernel (20.54 KB, text/plain)
2006-11-24 13:35 EST, Ahmed Kamal
no flags Details
var/log/messages after booting my xen kernel (34.31 KB, text/plain)
2006-11-24 13:36 EST, Ahmed Kamal
no flags Details

  None (edit)
Description Ahmed Kamal 2006-11-01 03:00:55 EST
Description of problem:
Booting the Xen kernel, everything seemed to work very slow, even the animations
on the startup screen. Working on the system for half an hour, I noticed its
clock was late for 15 minutes! The clock seemed to be going slow! I did a quick
test of "sleep 30" which should sleep for 30sec, instead it returned after
80seconds!!! So, the system is working about 3 times slower

Version-Release number of selected component (if applicable):
kernel-xen-2.6.18-1.2798.fc6

How reproducible:
100% reproducible

Steps to Reproduce:
1. In a terminal type "sleep 30"
2. Measure the actual sleeping time 
3.
  
Actual results:
80sec

Expected results:
30sec

Additional info:
This is a Toshiba A105-S361 laptop. The non Xen kernel works fine
Comment 1 Glauber Costa 2006-11-17 08:05:51 EST
I cannot reproduce it on any of my systems. As it leaves me completely clueless
(and most probably any other), it's a good idea to post your dmesg output for
both boots, (xen and non-xen), as well as observing if there are any suspicious
messages delivered while the system is running.

Thanks
Comment 2 Ahmed Kamal 2006-11-24 13:33:13 EST
Created attachment 142086 [details]
dmesg output on non-xen kernel
Comment 3 Ahmed Kamal 2006-11-24 13:35:03 EST
Created attachment 142087 [details]
dmesg output on xen kernel
Comment 4 Ahmed Kamal 2006-11-24 13:36:05 EST
Created attachment 142088 [details]
var/log/messages after booting my xen kernel
Comment 5 Ahmed Kamal 2006-11-24 13:40:10 EST
ok I added the needed attachements. Please do let me know, if you need further
information (or devel testing on my hardware).
I took a look, and the interesting parts seem to be apic and the "Calibrating
Delay" line! ... Lots of other little differences as well! Didnt think they
would be that different on the same hardware.

Anyway, the problem still presists on the newer kernel (2.6.18-1.2849.fc6)
Comment 6 Glauber Costa 2006-11-27 11:24:30 EST
Yes, this discrepancy between the xen and non-xen kernel is mostly normal. 
Next step is trying to find out what among it causes your problem ;-)

One theory is that bios may be changing the cpu frequency for energy saving, and
the xen hypervisor is not getting aware of it. Can you please check this, by
completely disabling it at bios level ? 
Comment 7 Ahmed Kamal 2006-11-28 14:46:04 EST
Well, my BIOS had "CPU Frequency dynamically switchable" enabled, I disabled
that, and made it "CPU Frequency Always High".
Was so sure that was it, but unfortunately it didn't help!

Not that I know anything about that, but the line "Calibrating delay using timer
specific routine" seems too interesting and the numbers are different
Comment 8 Ahmed Kamal 2006-12-16 06:52:53 EST
Update: Booting the Xen kernel with acpi=off, fixes the problem!!! It seems acpi
was changing the CPU frequency without telling the clocking system!
This way, it seems to me this problem is not really tied very much to my hardware!
I'd be happy to provide any testing you'd require, because a laptop without acpi
is not really useful
Comment 9 Red Hat Bugzilla 2007-07-24 21:34:51 EDT
change QA contact
Comment 10 Chris Lalancette 2008-02-26 18:37:38 EST
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.